Bug 36374 - Xamarin.Forms.Platform.UWP.TabbedPageRenderer.OnElementChanged is not virtual
Summary: Xamarin.Forms.Platform.UWP.TabbedPageRenderer.OnElementChanged is not virtual
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.0.0
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-11-30 14:08 UTC by John Miller [MSFT]
Modified: 2016-05-02 14:54 UTC (History)
4 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description John Miller [MSFT] 2015-11-30 14:08:14 UTC
**Overview:**

   Similar to #29199, except this is for the UWP TabbedPageRenderer. The OnElementChanged method is not virtual. 

**Actual Results:**

   protected void OnElementChanged (VisualElementChangedEventArgs e)

**Expected Results:**

   protected virtual void OnElementChanged (VisualElementChangedEventArgs e)

**Build Date & Platform:**

   XF 2.0
Comment 2 Samantha Houts [MSFT] 2016-04-27 22:40:04 UTC
Should be fixed in 2.3.0-pre1. Thank you!
Comment 3 Parmendra Kumar 2016-05-02 14:54:19 UTC
I have checked this issue with Xamarin.Forms 2.3.0-pre2 and its working fine.

Screencast: http://www.screencast.com/t/ArK580gD


Hence closing this issue.